<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 商品詳細検索
 *
 * @author      H.Watanabe <hiroshi.watanabe@netnee.jp>
 * @access      public
 */
class General_Itemview_Itemsearch
{
    /**
     * [[機能説明]]
     *
     * @access  public
     */

    var $title;
    var $pagename;

    var $genre;
    var $tname;

    var $genre_list;
    var $bodyid;

    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("General_Itemview_Itemsearchが実行されました", "General_Itemview_Itemsearch#execute");

        // ページレイアウト指定
        $this->bodyid = 'layout3';

        // ジャンル全件取得
        $g = $this->genre->selectGenreRelationship();

        $c = "";
        $tree = array();
        $this->genre->makeTree($g, $c, $this->genre_list);

        return 'success';
    }

    // サイドメニュー用データ取得
    function getSideMenuData(){
        return $this->sidemenu->getSideMenuData(NULL);
    }
}
?>
